Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -544,147 +533,147 @@
 
  CONTAINS
- 
-
-!------------------------------------------------------------------------------!
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Parin for &particle_parameters for the Lagrangian particle model
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_parin
- 
+
     CHARACTER (LEN=80) ::  line  !<
 
-    NAMELIST /particles_par/ &
-       aero_species, &
-       aero_type, &
-       aero_weight, &
-       alloc_factor, &
-       bc_par_b, &
-       bc_par_lr, &
-       bc_par_ns, &
-       bc_par_t, &
-       collision_kernel, &
-       curvature_solution_effects, &
-       deallocate_memory, &
-       density_ratio, &
-       dissipation_classes, &
-       dt_dopts, &
-       dt_min_part, &
-       dt_prel, &
-       dt_write_particle_data, &
-       end_time_prel, &
-       initial_weighting_factor, &
-       log_sigma, &
-       max_number_particles_per_gridbox, &
-       merging, &
-       na, &
-       number_concentration, &
-       number_of_particle_groups, &
-       number_particles_per_gridbox, &
-       particles_per_point, &
-       particle_advection_start, &
-       particle_advection_interpolation, &
-       particle_maximum_age, &
-       pdx, &
-       pdy, &
-       pdz, &
-       psb, &
-       psl, &
-       psn, &
-       psr, &
-       pss, &
-       pst, &
-       radius, &
-       radius_classes, &
-       radius_merge, &
-       radius_split, &
-       random_start_position, &
-       read_particles_from_restartfile, &
-       rm, &
-       seed_follows_topography, &
-       splitting, &
-       splitting_factor, &
-       splitting_factor_max, &
-       splitting_function, &
-       splitting_mode, &
-       step_dealloc, &
-       use_sgs_for_particles, &
-       vertical_particle_advection, &
-       weight_factor_merge, &
-       weight_factor_split, &
+    NAMELIST /particles_par/                                                                       &
+       aero_species,                                                                               &
+       aero_type,                                                                                  &
+       aero_weight,                                                                                &
+       alloc_factor,                                                                               &
+       bc_par_b,                                                                                   &
+       bc_par_lr,                                                                                  &
+       bc_par_ns,                                                                                  &
+       bc_par_t,                                                                                   &
+       collision_kernel,                                                                           &
+       curvature_solution_effects,                                                                 &
+       deallocate_memory,                                                                          &
+       density_ratio,                                                                              &
+       dissipation_classes,                                                                        &
+       dt_dopts,                                                                                   &
+       dt_min_part,                                                                                &
+       dt_prel,                                                                                    &
+       dt_write_particle_data,                                                                     &
+       end_time_prel,                                                                              &
+       initial_weighting_factor,                                                                   &
+       log_sigma,                                                                                  &
+       max_number_particles_per_gridbox,                                                           &
+       merging,                                                                                    &
+       na,                                                                                         &
+       number_concentration,                                                                       &
+       number_of_particle_groups,                                                                  &
+       number_particles_per_gridbox,                                                               &
+       particles_per_point,                                                                        &
+       particle_advection_start,                                                                   &
+       particle_advection_interpolation,                                                           &
+       particle_maximum_age,                                                                       &
+       pdx,                                                                                        &
+       pdy,                                                                                        &
+       pdz,                                                                                        &
+       psb,                                                                                        &
+       psl,                                                                                        &
+       psn,                                                                                        &
+       psr,                                                                                        &
+       pss,                                                                                        &
+       pst,                                                                                        &
+       radius,                                                                                     &
+       radius_classes,                                                                             &
+       radius_merge,                                                                               &
+       radius_split,                                                                               &
+       random_start_position,                                                                      &
+       read_particles_from_restartfile,                                                            &
+       rm,                                                                                         &
+       seed_follows_topography,                                                                    &
+       splitting,                                                                                  &
+       splitting_factor,                                                                           &
+       splitting_factor_max,                                                                       &
+       splitting_function,                                                                         &
+       splitting_mode,                                                                             &
+       step_dealloc,                                                                               &
+       use_sgs_for_particles,                                                                      &
+       vertical_particle_advection,                                                                &
+       weight_factor_merge,                                                                        &
+       weight_factor_split,                                                                        &
        write_particle_statistics
 
-    NAMELIST /particle_parameters/ &
-       aero_species, &
-       aero_type, &
-       aero_weight, &
-       alloc_factor, &
-       bc_par_b, &
-       bc_par_lr, &
-       bc_par_ns, &
-       bc_par_t, &
-       collision_kernel, &
-       curvature_solution_effects, &
-       deallocate_memory, &
-       density_ratio, &
-       dissipation_classes, &
-       dt_dopts, &
-       dt_min_part, &
-       dt_prel, &
-       dt_write_particle_data, &
-       end_time_prel, &
-       initial_weighting_factor, &
-       log_sigma, &
-       max_number_particles_per_gridbox, &
-       merging, &
-       na, &
-       number_concentration, &
-       number_of_output_particles, &
-       number_of_particle_groups, &
-       number_particles_per_gridbox, &
-       oversize, &
-       particles_per_point, &
-       particle_advection_start, &
-       particle_advection_interpolation, &
-       particle_maximum_age, &
-       part_output, &
-       part_inc, &
-       part_percent, &
-       pdx, &
-       pdy, &
-       pdz, &
-       psb, &
-       psl, &
-       psn, &
-       psr, &
-       pss, &
-       pst, &
-       radius, &
-       radius_classes, &
-       radius_merge, &
-       radius_split, &
-       random_start_position, &
-       read_particles_from_restartfile, &
-       rm, &
-       seed_follows_topography, &
-       splitting, &
-       splitting_factor, &
-       splitting_factor_max, &
-       splitting_function, &
-       splitting_mode, &
-       step_dealloc, &
-       unlimited_dimension, &
-       use_sgs_for_particles, &
-       vertical_particle_advection, &
-       weight_factor_merge, &
-       weight_factor_split, &
+    NAMELIST /particle_parameters/                                                                 &
+       aero_species,                                                                               &
+       aero_type,                                                                                  &
+       aero_weight,                                                                                &
+       alloc_factor,                                                                               &
+       bc_par_b,                                                                                   &
+       bc_par_lr,                                                                                  &
+       bc_par_ns,                                                                                  &
+       bc_par_t,                                                                                   &
+       collision_kernel,                                                                           &
+       curvature_solution_effects,                                                                 &
+       deallocate_memory,                                                                          &
+       density_ratio,                                                                              &
+       dissipation_classes,                                                                        &
+       dt_dopts,                                                                                   &
+       dt_min_part,                                                                                &
+       dt_prel,                                                                                    &
+       dt_write_particle_data,                                                                     &
+       end_time_prel,                                                                              &
+       initial_weighting_factor,                                                                   &
+       log_sigma,                                                                                  &
+       max_number_particles_per_gridbox,                                                           &
+       merging,                                                                                    &
+       na,                                                                                         &
+       number_concentration,                                                                       &
+       number_of_output_particles,                                                                 &
+       number_of_particle_groups,                                                                  &
+       number_particles_per_gridbox,                                                               &
+       oversize,                                                                                   &
+       particles_per_point,                                                                        &
+       particle_advection_start,                                                                   &
+       particle_advection_interpolation,                                                           &
+       particle_maximum_age,                                                                       &
+       part_output,                                                                                &
+       part_inc,                                                                                   &
+       part_percent,                                                                               &
+       pdx,                                                                                        &
+       pdy,                                                                                        &
+       pdz,                                                                                        &
+       psb,                                                                                        &
+       psl,                                                                                        &
+       psn,                                                                                        &
+       psr,                                                                                        &
+       pss,                                                                                        &
+       pst,                                                                                        &
+       radius,                                                                                     &
+       radius_classes,                                                                             &
+       radius_merge,                                                                               &
+       radius_split,                                                                               &
+       random_start_position,                                                                      &
+       read_particles_from_restartfile,                                                            &
+       rm,                                                                                         &
+       seed_follows_topography,                                                                    &
+       splitting,                                                                                  &
+       splitting_factor,                                                                           &
+       splitting_factor_max,                                                                       &
+       splitting_function,                                                                         &
+       splitting_mode,                                                                             &
+       step_dealloc,                                                                               &
+       unlimited_dimension,                                                                        &
+       use_sgs_for_particles,                                                                      &
+       vertical_particle_advection,                                                                &
+       weight_factor_merge,                                                                        &
+       weight_factor_split,                                                                        &
        write_particle_statistics
 
 !
-!-- Position the namelist-file at the beginning (it was already opened in
-!-- parin), search for the namelist-group of the package and position the
-!-- file at this line. Do the same for each optionally used package.
+!-- Position the namelist-file at the beginning (it was already opened in parin), search for the
+!-- namelist-group of the package and position the file at this line. Do the same for each
+!-- optionally used package.
     line = ' '
-    
+
 !
 !-- Try to find particles package
@@ -701,5 +690,5 @@
 !-- Set flag that indicates that particles are switched on
     particle_advection = .TRUE.
-    
+
     GOTO 14
 
@@ -719,6 +708,6 @@
     READ ( 11, particles_par, ERR = 13, END = 14 )
 
-    message_string = 'namelist particles_par is deprecated and will be ' //    &
-                     'removed in near future. Please use namelist ' //         &
+    message_string = 'namelist particles_par is deprecated and will be ' //                        &
+                     'removed in near future. Please use namelist ' //                             &
                      'particle_parameters instead'
     CALL message( 'package_parin', 'PA0487', 0, 1, 0, 6, 0 )
@@ -737,10 +726,10 @@
 
  END SUBROUTINE lpm_parin
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Writes used particle attributes in header file.
-!------------------------------------------------------------------------------! 
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_header ( io )
 
@@ -763,11 +752,10 @@
        ENDIF
     ENDIF
- 
+
     IF ( particle_advection )  THEN
 !
 !--    Particle attributes
-       WRITE ( io, 480 )  particle_advection_start, TRIM(particle_advection_interpolation), &
-                          dt_prel, bc_par_lr, &
-                          bc_par_ns, bc_par_b, bc_par_t, particle_maximum_age, &
+       WRITE ( io, 480 )  particle_advection_start, TRIM(particle_advection_interpolation),        &
+                          dt_prel, bc_par_lr, bc_par_ns, bc_par_b, bc_par_t, particle_maximum_age, &
                           end_time_prel
        IF ( use_sgs_for_particles )  WRITE ( io, 488 )  dt_min_part
@@ -801,37 +789,30 @@
              WRITE ( io, 492 )
           ENDIF
-          WRITE ( io, 493 )  psl(i), psr(i), pss(i), psn(i), psb(i), pst(i), &
-                             pdx(i), pdy(i), pdz(i)
+          WRITE ( io, 493 )  psl(i), psr(i), pss(i), psn(i), psb(i), pst(i), pdx(i), pdy(i), pdz(i)
           IF ( .NOT. vertical_particle_advection(i) )  WRITE ( io, 482 )
        ENDDO
 
     ENDIF
-    
+
 344 FORMAT ('       Output format: ',A/)
 354 FORMAT ('       Output format: ',A, '   compressed with level: ',I1/)
 
-433 FORMAT ('    Cloud droplets treated explicitly using the Lagrangian part', &
-                 'icle model')
-434 FORMAT ('    Curvature and solution effecs are considered for growth of', &
+433 FORMAT ('    Cloud droplets treated explicitly using the Lagrangian part','icle model')
+434 FORMAT ('    Curvature and solution effecs are considered for growth of',                      &
                  ' droplets < 1.0E-6 m')
 435 FORMAT ('    Droplet collision is handled by ',A,'-kernel')
-436 FORMAT ('       Fast kernel with fixed radius- and dissipation classes ', &
-                    'are used'/ &
-            '          number of radius classes:       ',I3,'    interval ', &
-                       '[1.0E-6,2.0E-4] m'/ &
-            '          number of dissipation classes:   ',I2,'    interval ', &
-                       '[0,1000] cm**2/s**3')
+436 FORMAT ('       Fast kernel with fixed radius- and dissipation classes ','are used'/           &
+            '          number of radius classes:       ',I3,'    interval ','[1.0E-6,2.0E-4] m'/   &
+            '          number of dissipation classes:   ',I2,'    interval ','[0,1000] cm**2/s**3')
 437 FORMAT ('    Droplet collision is switched off')
 
-480 FORMAT ('    Particles:'/ &
-            '    ---------'// &
-            '       Particle advection is active (switched on at t = ', F7.1, &
-                    ' s)'/ &
-            '       Interpolation of particle velocities is done by using ', A, &
-                    ' method'/ &
-            '       Start of new particle generations every  ',F6.1,' s'/ &
-            '       Boundary conditions: left/right: ', A, ' north/south: ', A/&
-            '                            bottom:     ', A, ' top:         ', A/&
-            '       Maximum particle age:                 ',F9.1,' s'/ &
+480 FORMAT ('    Particles:'/                                                                      &
+            '    ---------'//                                                                      &
+            '       Particle advection is active (switched on at t = ', F7.1,' s)'/                &
+            '       Interpolation of particle velocities is done by using ', A,' method'/          &
+            '       Start of new particle generations every  ',F6.1,' s'/                          &
+            '       Boundary conditions: left/right: ', A, ' north/south: ', A/                    &
+            '                            bottom:     ', A, ' top:         ', A/                    &
+            '       Maximum particle age:                 ',F9.1,' s'/                             &
             '       Advection stopped at t = ',F9.1,' s'/)
 481 FORMAT ('       Particles have random start positions'/)
@@ -840,33 +821,30 @@
 486 FORMAT ('       Particle statistics are written on file'/)
 487 FORMAT ('       Number of particle groups: ',I2/)
-488 FORMAT ('       SGS velocity components are used for particle advection'/ &
+488 FORMAT ('       SGS velocity components are used for particle advection'/                      &
             '          minimum timestep for advection:', F8.5/)
-489 FORMAT ('       Number of particles simultaneously released at each ', &
-                    'point: ', I5/)
-490 FORMAT ('       Particle group ',I2,':'/ &
+489 FORMAT ('       Number of particles simultaneously released at each ','point: ', I5/)
+490 FORMAT ('       Particle group ',I2,':'/                                                       &
             '          Particle radius: ',E10.3, 'm')
-491 FORMAT ('          Particle inertia is activated'/ &
+491 FORMAT ('          Particle inertia is activated'/                                             &
             '             density_ratio (rho_fluid/rho_particle) =',F6.3/)
 492 FORMAT ('          Particles are advected only passively (no inertia)'/)
-493 FORMAT ('          Boundaries of particle source: x:',F8.1,' - ',F8.1,' m'/&
-            '                                         y:',F8.1,' - ',F8.1,' m'/&
-            '                                         z:',F8.1,' - ',F8.1,' m'/&
-            '          Particle distances:  dx = ',F8.1,' m  dy = ',F8.1, &
-                       ' m  dz = ',F8.1,' m'/)
-494 FORMAT ('       Output of particle time series in NetCDF format every ', &
-                    F8.2,' s'/)
+493 FORMAT ('          Boundaries of particle source: x:',F8.1,' - ',F8.1,' m'/                    &
+            '                                         y:',F8.1,' - ',F8.1,' m'/                    &
+            '                                         z:',F8.1,' - ',F8.1,' m'/                    &
+            '          Particle distances:  dx = ',F8.1,' m  dy = ',F8.1,' m  dz = ',F8.1,' m'/)
+494 FORMAT ('       Output of particle time series in NetCDF format every ',F8.2,' s'/)
 495 FORMAT ('       Number of particles in total domain: ',I10/)
-496 FORMAT ('       Initial vertical particle positions are interpreted ', &
+496 FORMAT ('       Initial vertical particle positions are interpreted ',                         &
                     'as relative to the given topography')
-    
+
  END SUBROUTINE lpm_header
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Writes used particle attributes in header file.
-!------------------------------------------------------------------------------!  
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_check_parameters
- 
+
 !
 !-- Collision kernels:
@@ -883,5 +861,5 @@
 
        CASE DEFAULT
-          message_string = 'unknown collision kernel: collision_kernel = "' // &
+          message_string = 'unknown collision kernel: collision_kernel = "' //                     &
                            TRIM( collision_kernel ) // '"'
           CALL message( 'lpm_check_parameters', 'PA0350', 1, 2, 0, 6, 0 )
@@ -891,12 +869,11 @@
 
 !
-!-- Subgrid scale velocites with the simple interpolation method for resolved
-!-- velocites is not implemented for passive particles. However, for cloud
-!-- it can be combined as the sgs-velocites for active particles are
-!-- calculated differently, i.e. no subboxes are needed.
-    IF ( .NOT. TRIM( particle_advection_interpolation ) == 'trilinear'  .AND.  &
-       use_sgs_for_particles  .AND.  .NOT. cloud_droplets )  THEN
-          message_string = 'subrgrid scale velocities in combination with ' // &
-                           'simple interpolation method is not '            // &
+!-- Subgrid scale velocites with the simple interpolation method for resolved velocites is not
+!-- implemented for passive particles. However, for cloud it can be combined as the sgs-velocites
+!-- for active particles are calculated differently, i.e. no subboxes are needed.
+    IF ( .NOT. TRIM( particle_advection_interpolation ) == 'trilinear'  .AND.                      &
+         use_sgs_for_particles  .AND.  .NOT. cloud_droplets )  THEN
+          message_string = 'subrgrid scale velocities in combination with ' //                     &
+                           'simple interpolation method is not '            //                     &
                            'implemented'
           CALL message( 'lpm_check_parameters', 'PA0659', 1, 2, 0, 6, 0 )
@@ -904,5 +881,5 @@
 
     IF ( nested_run  .AND.  cloud_droplets )  THEN
-       message_string = 'nested runs in combination with cloud droplets ' // &
+       message_string = 'nested runs in combination with cloud droplets ' //                       &
                         'is not implemented'
           CALL message( 'lpm_check_parameters', 'PA0687', 1, 2, 0, 6, 0 )
@@ -911,25 +888,25 @@
 
  END SUBROUTINE lpm_check_parameters
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Initialize arrays for lpm
-!------------------------------------------------------------------------------!   
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_init_arrays
- 
+
     IF ( cloud_droplets )  THEN
 !
 !--    Liquid water content, change in liquid water content
-       ALLOCATE ( ql_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                         &
+       ALLOCATE ( ql_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                             &
                   ql_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 !--    Real volume of particles (with weighting), volume of particles
-       ALLOCATE ( ql_v(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                         &
+       ALLOCATE ( ql_v(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                             &
                   ql_vp(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
     ENDIF
 
 
-    ALLOCATE( u_t(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              v_t(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
+    ALLOCATE( u_t(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
+              v_t(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
               w_t(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 !
@@ -946,10 +923,10 @@
 
  END SUBROUTINE lpm_init_arrays
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Initialize Lagrangian particle model
-!------------------------------------------------------------------------------! 
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_init
 
@@ -965,6 +942,6 @@
 
 !
-!-- In case of oceans runs, the vertical index calculations need an offset,
-!-- because otherwise the k indices will become negative
+!-- In case of oceans runs, the vertical index calculations need an offset, because otherwise the k
+!-- indices will become negative
     IF ( ocean_mode )  THEN
        offset_ocean_nzt    = nzt
@@ -973,7 +950,7 @@
 
 !
-!-- Define block offsets for dividing a gridcell in 8 sub cells
-!-- See documentation for List of subgrid boxes
-!-- See pack_and_sort in lpm_pack_arrays.f90 for assignment of the subgrid boxes
+!-- Define block offsets for dividing a gridcell in 8 sub cells.
+!-- See documentation for List of subgrid boxes.
+!-- See pack_and_sort in lpm_pack_arrays.f90 for assignment of the subgrid boxes.
     block_offset(0) = block_offset_def ( 0, 0, 0)
     block_offset(1) = block_offset_def ( 0, 0,-1)
@@ -987,7 +964,7 @@
 !-- Check the number of particle groups.
     IF ( number_of_particle_groups > max_number_of_particle_groups )  THEN
-       WRITE( message_string, * ) 'max_number_of_particle_groups =',           &
-                                  max_number_of_particle_groups ,              &
-                                  '&number_of_particle_groups reset to ',      &
+       WRITE( message_string, * ) 'max_number_of_particle_groups =',                               &
+                                  max_number_of_particle_groups ,                                  &
+                                  '&number_of_particle_groups reset to ',                          &
                                   max_number_of_particle_groups
        CALL message( 'lpm_init', 'PA0213', 0, 1, 0, 6, 0 )
@@ -995,9 +972,8 @@
     ENDIF
 !
-!-- Check if downward-facing walls exist. This case, reflection boundary
-!-- conditions (as well as subgrid-scale velocities) may do not work
-!-- propably (not realized so far).
+!-- Check if downward-facing walls exist. This case, reflection boundary conditions (as well as
+!-- subgrid-scale velocities) may do not work properly (not realized so far).
     IF ( surf_def_h(1)%ns >= 1 )  THEN
-       WRITE( message_string, * ) 'Overhanging topography do not work '//      &
+       WRITE( message_string, * ) 'Overhanging topography do not work '//                          &
                                   'with particles'
        CALL message( 'lpm_init', 'PA0212', 0, 1, 0, 6, 0 )
